# Class Choice.AccessibleAWTChoice

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.Choice.AccessibleAWTChoice

All Implemented Interfaces:
  `Serializable, AccessibleAction, AccessibleComponent`

Enclosing class:
  `Choice`

protected class Choice.AccessibleAWTChoice extends Component.AccessibleAWTComponent implements AccessibleAction
This class implements accessibility support for the `Choice` class. It provides an implementation of the Java Accessibility API appropriate to choice user-interface elements.

Since:
  1.3
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces declared in class Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

## Field Summary

### Fields declared in class Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields declared in class AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

### Fields declared in interface AccessibleAction

`CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleAWTChoice()`
Constructor for `AccessibleAWTChoice`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`doAccessibleAction(int i)`
Perform the specified Action on the object
`AccessibleAction`
`getAccessibleAction()`
Get the AccessibleAction associated with this object.
`int`
`getAccessibleActionCount()`
Returns the number of accessible actions available in this object If there are more than one, the first one is considered the "default" action of the object.
`String`
`getAccessibleActionDescription(int i)`
Returns a description of the specified action of the object.
`AccessibleRole`
`getAccessibleRole()`
Get the role of this object.

### Methods declared in class Component.AccessibleAWTComponent

`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getAccessibleStateSet, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods declared in class AccessibleContext

`firePropertyChange, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleAWTChoice

public AccessibleAWTChoice()
Constructor for `AccessibleAWTChoice`

## Method Details

### getAccessibleAction

public AccessibleAction getAccessibleAction()
Get the AccessibleAction associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleAction interface on behalf of itself.

Overrides:
  `getAccessibleAction` in class `AccessibleContext`
Returns:
  this object
See Also:
  - `AccessibleAction`

### getAccessibleRole

public AccessibleRole getAccessibleRole()
Get the role of this object.

Overrides:
  `getAccessibleRole` in class `Component.AccessibleAWTComponent`
Returns:
  an instance of AccessibleRole describing the role of the object
See Also:
  - `AccessibleRole`

### getAccessibleActionCount

public int getAccessibleActionCount()
Returns the number of accessible actions available in this object If there are more than one, the first one is considered the "default" action of the object.

Specified by:
  `getAccessibleActionCount` in interface `AccessibleAction`
Returns:
  the zero-based number of Actions in this object

### getAccessibleActionDescription

public String getAccessibleActionDescription(int i)
Returns a description of the specified action of the object.

Specified by:
  `getAccessibleActionDescription` in interface `AccessibleAction`
Parameters:
  `i` - zero-based index of the actions
Returns:
  a String description of the action
See Also:
  - `getAccessibleActionCount()`

### doAccessibleAction

public boolean doAccessibleAction(int i)
Perform the specified Action on the object

Specified by:
  `doAccessibleAction` in interface `AccessibleAction`
Parameters:
  `i` - zero-based index of actions
Returns:
  true if the action was performed; otherwise false.
See Also:
  - `getAccessibleActionCount()`